<?php

namespace FiloBlu\Hotfix\Plugin;

class SkipDeleteItem
{

    protected $request;
    public function __construct(
        \Magento\Framework\App\Request\Http $request
    ) {
       $this->request = $request;
    }

    public function afterValidateMinimumAmount($subject, $result)
    {
        $actionName = $this->request->getActionName();
        if($actionName === 'delete' || $actionName === 'removeItem') {
            return true;
        }
        return $result;
    }
}
